<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/shape_round_white"
    android:orientation="vertical"
    android:paddingBottom="@dimen/dp_20">


    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="50dp">

        <ImageView
            android:id="@+id/mClose"
            android:layout_width="@dimen/dp_48"
            android:layout_height="@dimen/dp_48"
            android:layout_centerVertical="true"
            android:scaleType="center"
            android:src="@drawable/ic_colse" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:paddingRight="@dimen/dp_10"
            android:textColor="@color/col_455"
            android:textSize="@dimen/dp_16"
            android:text="@string/please_select_time" />

        <TextView
            android:id="@+id/mConfirm"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_alignParentRight="true"
            android:gravity="center"
            android:paddingRight="@dimen/dp_10"
            android:text="@string/confirm"
            android:textColor="@color/col_009"
            android:textSize="@dimen/dp_16" />

        <View
            android:layout_alignParentBottom="true"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_1"
            android:background="@color/col_f1f" />
    </RelativeLayout>

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content">


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">


            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/mWeekRecycle"
                android:layout_width="match_parent"
                android:overScrollMode="never"
                android:layout_height="wrap_content" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/mDayRecycle"
                android:layout_width="match_parent"
                android:overScrollMode="never"
                android:layout_height="wrap_content" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:padding="@dimen/dp_10"
                android:text="@string/morning"
                android:textColor="@color/col_455"
                android:textSize="@dimen/dp_16" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/mMorinRecycle"
                android:layout_width="match_parent"
                android:overScrollMode="never"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_10"
                android:layout_marginRight="@dimen/dp_10" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:padding="@dimen/dp_10"
                android:text="@string/evening"
                android:textColor="@color/col_455"
                android:textSize="@dimen/dp_16" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/mEvenRecycle"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_10"

                android:overScrollMode="never"
                android:layout_marginRight="@dimen/dp_10" />

        </LinearLayout>
    </androidx.core.widget.NestedScrollView>
</LinearLayout>